summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2020-06-18 18:49:06 +0200
committerMarek Szuba <marecki@gentoo.org>2020-06-18 18:50:58 +0200
commit4f947db8652553203ca53afbba5e2baaf631cbea (patch)
treea7a97a2e32243d6be81560d954cff0be7c6d5570
parentnet-misc/dhcpcd: Removed old (diff)
downloadgentoo-4f947db8652553203ca53afbba5e2baaf631cbea.tar.gz
gentoo-4f947db8652553203ca53afbba5e2baaf631cbea.tar.bz2
gentoo-4f947db8652553203ca53afbba5e2baaf631cbea.zip
media-gfx/darktable: remove IUSE=pax_kernel from all except 2.6.2
We have got no way of officially testing whether these markings still work. Signed-off-by: Marek Szuba <marecki@gentoo.org>
-rw-r--r--media-gfx/darktable/darktable-3.0.2-r1.ebuild13
-rw-r--r--media-gfx/darktable/darktable-3.0.2.ebuild13
-rw-r--r--media-gfx/darktable/darktable-9999.ebuild13
3 files changed, 6 insertions, 33 deletions
diff --git a/media-gfx/darktable/darktable-3.0.2-r1.ebuild b/media-gfx/darktable/darktable-3.0.2-r1.ebuild
index ca876badb31..56221e9d71d 100644
--- a/media-gfx/darktable/darktable-3.0.2-r1.ebuild
+++ b/media-gfx/darktable/darktable-3.0.2-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-inherit cmake flag-o-matic pax-utils toolchain-funcs xdg
+inherit cmake flag-o-matic toolchain-funcs xdg
DOC_PV="3.0.0"
MY_PV="${PV/_/}"
@@ -20,7 +20,7 @@ KEYWORDS="~amd64 ~x86"
LANGS=" ca cs da de es fr he hu it ja nb nl pl ru sl"
# TODO add lua once dev-lang/lua-5.2 is unmasked
IUSE="colord cups cpu_flags_x86_sse3 doc flickr geolocation gnome-keyring gphoto2 graphicsmagick jpeg2k kwallet
- lto nls opencl openmp openexr pax_kernel tools webp
+ lto nls opencl openmp openexr tools webp
${LANGS// / l10n_}"
BDEPEND="
@@ -134,15 +134,6 @@ src_install() {
fi
done
fi
-
- if use pax_kernel && use opencl ; then
- pax-mark Cm "${ED}"/usr/bin/${PN} || die
- eqawarn "USE=pax_kernel is set meaning that ${PN} will be run"
- eqawarn "under a PaX enabled kernel. To do so, the ${PN} binary"
- eqawarn "must be modified and this *may* lead to breakage! If"
- eqawarn "you suspect that ${PN} is broken by this modification,"
- eqawarn "please open a bug."
- fi
}
pkg_postinst() {
diff --git a/media-gfx/darktable/darktable-3.0.2.ebuild b/media-gfx/darktable/darktable-3.0.2.ebuild
index b4b136828cb..a6af926b835 100644
--- a/media-gfx/darktable/darktable-3.0.2.ebuild
+++ b/media-gfx/darktable/darktable-3.0.2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-inherit cmake flag-o-matic pax-utils toolchain-funcs xdg
+inherit cmake flag-o-matic toolchain-funcs xdg
DOC_PV="3.0.0"
MY_PV="${PV/_/}"
@@ -20,7 +20,7 @@ KEYWORDS="~amd64 ~x86"
LANGS=" ca cs da de es fr he hu it ja nb nl pl ru sl"
# TODO add lua once dev-lang/lua-5.2 is unmasked
IUSE="colord cups cpu_flags_x86_sse3 doc flickr geolocation gnome-keyring gphoto2 graphicsmagick jpeg2k kwallet
- nls opencl openmp openexr pax_kernel tools webp
+ nls opencl openmp openexr tools webp
${LANGS// / l10n_}"
BDEPEND="
@@ -132,15 +132,6 @@ src_install() {
fi
done
fi
-
- if use pax_kernel && use opencl ; then
- pax-mark Cm "${ED}"/usr/bin/${PN} || die
- eqawarn "USE=pax_kernel is set meaning that ${PN} will be run"
- eqawarn "under a PaX enabled kernel. To do so, the ${PN} binary"
- eqawarn "must be modified and this *may* lead to breakage! If"
- eqawarn "you suspect that ${PN} is broken by this modification,"
- eqawarn "please open a bug."
- fi
}
pkg_postinst() {
diff --git a/media-gfx/darktable/darktable-9999.ebuild b/media-gfx/darktable/darktable-9999.ebuild
index 22a9ddc6a11..8efe45349c4 100644
--- a/media-gfx/darktable/darktable-9999.ebuild
+++ b/media-gfx/darktable/darktable-9999.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-inherit cmake flag-o-matic git-r3 pax-utils toolchain-funcs xdg
+inherit cmake flag-o-matic git-r3 toolchain-funcs xdg
EGIT_REPO_URI="https://github.com/darktable-org/${PN}.git"
@@ -16,7 +16,7 @@ SLOT="0"
LANGS=" af ca cs da de el es fi fr gl he hu it ja nb nl pl pt-BR pt-PT ro ru sk sl sq sv th uk zh-CN zh-TW"
# TODO add lua once dev-lang/lua-5.2 is unmasked
IUSE="colord cups cpu_flags_x86_sse3 doc flickr geolocation gnome-keyring gphoto2 graphicsmagick jpeg2k kwallet
- lto nls opencl openmp openexr pax_kernel tools webp
+ lto nls opencl openmp openexr tools webp
${LANGS// / l10n_}"
BDEPEND=">=dev-python/jsonschema-3.2.0
@@ -125,13 +125,4 @@ src_install() {
fi
done
fi
-
- if use pax_kernel && use opencl ; then
- pax-mark Cm "${ED}"/usr/bin/${PN} || die
- eqawarn "USE=pax_kernel is set meaning that ${PN} will be run"
- eqawarn "under a PaX enabled kernel. To do so, the ${PN} binary"
- eqawarn "must be modified and this *may* lead to breakage! If"
- eqawarn "you suspect that ${PN} is broken by this modification,"
- eqawarn "please open a bug."
- fi
}